package com.rehome.jpahefengweather.dto;


import com.rehome.jpahefengweather.utils.MapUtil;

import java.util.Map;

/**
 * @author HuangWenFei
 * @version v1.0.0.0
 * Created DateTime 2022-05-01 16:22
 */
//@ApiModel(value = "BaseDto", description = "接收数据")
public class BaseDto {
    //@ApiModelProperty("API状态码，具体含义请参考状态码 200请求成功")
    private String code;
    //@ApiModelProperty("当前API的最近更新时间")
    private String updateTime;
    //@ApiModelProperty("当前数据的响应式页面，便于嵌入网站或应用")
    private String fxLink;


    /**
     * 根据 map 还原 MaintenanceTemporaryFindDto
     *
     * @param map 映射map
     * @return com.rehome.jpahefengweather.dto.BaseDto
     * @author HuangWenFei
     * Created DateTime 2022-04-19 10:02
     */
    public static BaseDto ofSelfMap(Map<String, Object> map) {
        return MapUtil.fromMap(map, BaseDto.class);
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getFxLink() {
        return fxLink;
    }

    public void setFxLink(String fxLink) {
        this.fxLink = fxLink;
    }
}
